Subject: Re: [PATCH 3/5] bonding: add rtnl lock for bonding_store_xmit_hash

From: Ding Tianhong <[email-masked]>
Date: Fri, 30 Aug 2013 11:26:38 +0800

On 2013/8/29 22:25, Nikolay Aleksandrov wrote:
> On 08/28/2013 06:21 AM, Ding Tianhong wrote:
>> The bonding_store_xmit_hash() call bond_set_mode_ops() to set bond xmit_policy,
>> the xmit_policy is used in xmit path for xor mode, so any changes may occur
>> problem without protection, add rtnl lock is fit here.
>>
>> Signed-off-by: Ding Tianhong <[email-masked]>
>> ---
> I don't think we need any locking there, nothing bad can happen.
> 
> 
> 
But I think bond->xmit_hash_policy need protect if write it, as the bond_3ad_xmit may use it,
or did I miss something? :)